petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMNetworkGetNumComponents

Get the number of components at a vertex/edge

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetNumComponents(DM dm,PetscInt p,PetscInt *numcomponents)

Not Collective

### Input Parameters

| dm | - The DMNetwork object
| p | - vertex/edge point

### Output Parameters

numcomponents -Number of components at the vertex/edge

### See Also

DMNetworkRegisterComponent, DMNetworkAddComponent

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages